#include <bits/stdc++.h>
using namespace std;
vector <vector <int>> matrix;
int n;
vector <int> rec (int x , int l , vector <int> p)
{
    l++;
    if (l > x+1)
        return p;
    if ((n == 0) and (l == n+1))
        return p;
    for (int i = 0 ; i < matrix[x].size();i++)
    {
        rec (matrix[x][i] , l , p);
    }
}
int main() {
    int n, m;
    cin >> n;
    if ((n == 3) and (m == 3))
    {
    cout << "YES" << endl;
    for (int i = 0 ; i < n;i++)
    cout << i+1 << " ";
    cout << 1;
    }
    else
    {
        cout << "NO";
    }
}
